## convenience script for local builds.
## it is needed to setup your environment before the usage.


export ETICS_WORKSPACE=/home/adevress/workspace/
export MY_WORKSPACE=/home/adevress/myworkspace/srm-ifce/

# configure
if [[ "x$1" == "x" ]]; then
	mkdir -p src/autogen build; aclocal -I ${ETICS_WORKSPACE}/stage/usr/share/emi/build/m4 -I ${ETICS_WORKSPACE}/stage/share/build/m4; libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
	cd build; 


	../configure --enable-debug --enable-wall --prefix=/usr --with-version=0.0.0 --with-release=0 --with-cgsi-gsoap-location=${ETICS_WORKSPACE}/stage  --with-lfc-location=${ETICS_WORKSPACE}/stage --with-dpm-location=${ETICS_WORKSPACE}/stage --with-srm-ifce-location=${ETICS_WORKSPACE}/stage   --with-voms-location=${ETICS_WORKSPACE}/stage --with-dcap-location=${ETICS_WORKSPACE}/stage --with-emi
cd .. ;
fi


make -C build all
